tvbrowser.ui.programtable

## Class KeyboardAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - tvbrowser.ui.programtable.KeyboardAction

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public class KeyboardAction
      extends javax.swing.AbstractAction

  A class for keyboard selection of programs in the ProgramTable.
  Author:
    René Mach
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `KEY_CONTEXTMENU`
    `static int` | `KEY_DESELECT`
    `static int` | `KEY_DOWN`
    `static int` | `KEY_LEFT`
    `static int` | `KEY_RIGHT`
    `static int` | `KEY_UP`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyboardAction(ProgramTableScrollPane pane, int type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_UP

          public static final int KEY_UP

      See Also:
        Constant Field Values

    - #### KEY_DOWN

          public static final int KEY_DOWN

      See Also:
        Constant Field Values

    - #### KEY_RIGHT

          public static final int KEY_RIGHT

      See Also:
        Constant Field Values

    - #### KEY_LEFT

          public static final int KEY_LEFT

      See Also:
        Constant Field Values

    - #### KEY_CONTEXTMENU

          public static final int KEY_CONTEXTMENU

      See Also:
        Constant Field Values

    - #### KEY_DESELECT

          public static final int KEY_DESELECT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyboardAction

          public KeyboardAction(ProgramTableScrollPane pane,
                        int type)

      Parameters:
        `pane` - The ProgramTableScrollPane to start the action on.
        `type` - The Type of Action ( KEY_UP, KEY_DOWN, ...)

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)